Bug 1731650 - [abrt] nextcloud-client: qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > >(): nextcloud killed by SIGSEGV
Summary: [abrt] nextcloud-client: qGetPtrHelper<QScopedPointer<QObjectData, QScopedPoi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f3a31456241f423b9a98c73a86c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-20 12:59 UTC by Ulf Seltmann
Modified: 2020-01-06 07:33 UTC (History)
6 users (show)

Fixed In Version: nextcloud-client-2.5.3-1.fc30 nextcloud-client-2.5.3-1.fc29 nextcloud-client-2.5.3-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-11 03:12:44 UTC


Attachments (Terms of Use)
File: backtrace (201.88 KB, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details
File: cgroup (351 bytes, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details
File: core_backtrace (97.34 KB, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details
File: cpuinfo (1.73 KB, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details
File: dso_list (18.00 KB, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details
File: environ (3.47 KB, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details
File: exploitable (100 bytes, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details
File: maps (118.37 KB, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details
File: mountinfo (3.99 KB, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details
File: open_fds (155.29 KB, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-07-20 13:00 UTC, Ulf Seltmann
no flags Details

Description Ulf Seltmann 2019-07-20 12:59:59 UTC
Version-Release number of selected component:
nextcloud-client-2.5.2-2.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        nextcloud
crash_function: qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > >
executable:     /usr/bin/nextcloud
journald_cursor: s=6f6bc421bb2a4b8f99f63c8227024f7b;i=5f7af;b=30ef06c49af841fe8238338de150981a;m=7838de072;t=58e1c14ada8aa;x=b78f0e29b983e514
kernel:         5.1.17-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > > at ../../include/QtCore/../../src/corelib/global/qglobal.h:1038
 #1 QWidget::d_func at ../../include/QtWidgets/../../src/widgets/kernel/qwidget.h:131
 #2 QWidgetBackingStore::markDirtyOnScreen at kernel/qwidgetbackingstore.cpp:727
 #4 QWidgetPrivate::scrollRect at kernel/qwidgetbackingstore.cpp:999
 #5 QWidgetPrivate::scroll_sys at ../../include/QtCore/../../src/corelib/tools/qrect.h:184
 #6 QWidget::scroll at kernel/qwidget.cpp:10974
 #7 QAbstractItemViewPrivate::scrollContentsBy at ../../include/QtWidgets/5.12.4/QtWidgets/private/../../../../../src/widgets/itemviews/qabstractitemview_p.h:247
 #8 QCommonListViewBase::scrollContentsBy at itemviews/qlistview.cpp:1996
 #9 QAbstractScrollAreaPrivate::_q_vslide at widgets/qabstractscrollarea.cpp:1542
 #10 QMetaObject::activate at kernel/qobject.cpp:3801

Comment 1 Ulf Seltmann 2019-07-20 13:00:03 UTC
Created attachment 1592287 [details]
File: backtrace

Comment 2 Ulf Seltmann 2019-07-20 13:00:04 UTC
Created attachment 1592288 [details]
File: cgroup

Comment 3 Ulf Seltmann 2019-07-20 13:00:06 UTC
Created attachment 1592289 [details]
File: core_backtrace

Comment 4 Ulf Seltmann 2019-07-20 13:00:08 UTC
Created attachment 1592290 [details]
File: cpuinfo

Comment 5 Ulf Seltmann 2019-07-20 13:00:09 UTC
Created attachment 1592291 [details]
File: dso_list

Comment 6 Ulf Seltmann 2019-07-20 13:00:11 UTC
Created attachment 1592292 [details]
File: environ

Comment 7 Ulf Seltmann 2019-07-20 13:00:12 UTC
Created attachment 1592293 [details]
File: exploitable

Comment 8 Ulf Seltmann 2019-07-20 13:00:13 UTC
Created attachment 1592294 [details]
File: limits

Comment 9 Ulf Seltmann 2019-07-20 13:00:15 UTC
Created attachment 1592295 [details]
File: maps

Comment 10 Ulf Seltmann 2019-07-20 13:00:17 UTC
Created attachment 1592296 [details]
File: mountinfo

Comment 11 Ulf Seltmann 2019-07-20 13:00:19 UTC
Created attachment 1592297 [details]
File: open_fds

Comment 12 Ulf Seltmann 2019-07-20 13:00:20 UTC
Created attachment 1592298 [details]
File: proc_pid_status

Comment 13 Germano Massullo 2019-07-22 08:37:19 UTC
Could you please tell us how to reproduce the crash? Thank you

Comment 14 Fedora Update System 2019-09-02 13:42:17 UTC
FEDORA-2019-177795b9aa has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-177795b9aa

Comment 15 Fedora Update System 2019-09-02 13:42:17 UTC
FEDORA-2019-f8936457e9 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f8936457e9

Comment 16 Fedora Update System 2019-09-02 13:42:28 UTC
FEDORA-2019-182069cf40 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-182069cf40

Comment 17 Fedora Update System 2019-09-02 23:56:49 UTC
nextcloud-client-2.5.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-182069cf40

Comment 18 Fedora Update System 2019-09-03 02:56:48 UTC
nextcloud-client-2.5.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f8936457e9

Comment 19 Fedora Update System 2019-09-03 03:01:51 UTC
nextcloud-client-2.5.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-177795b9aa

Comment 20 Fedora Update System 2019-09-11 03:12:44 UTC
nextcloud-client-2.5.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-09-11 03:35:03 UTC
nextcloud-client-2.5.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-09-28 00:01:33 UTC
nextcloud-client-2.5.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Ulf Seltmann 2020-01-06 07:33:58 UTC
i dont know, what caused the crash


Note You need to log in before you can comment on or make changes to this bug.